#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_RoomData
{
	//房间ID
	int mRoomID;
	//激光增加几率
	int mLaserAdd;
	//激光减益几率
	int mLaserReduce;
	//鱼阵增加几率
	int mFormationAdd;
	//鱼阵减少几率
	int mFormationReduce;
};

class Odds2_Room
{
public:
private:
	static std::auto_ptr<Odds2_Room> msSingleton;
public:
	int GetCount();
	const Odds2_RoomData* GetData(int RoomID);
	boost::unordered_map<int, Odds2_RoomData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_Room* GetSingleton();
private:
	boost::unordered_map<int, Odds2_RoomData> mMapData;
};
